Stream EstateStream Estate
Notifications d'événements

List event notifications

List event notifications

GET
/event-notifications
X-API-KEY<token>

Value for the X-API-KEY header parameter.

In: header

Query Parameters

page?integer

The collection page number

Default1
createdAt[before]?string

Only notifications created at or before this time. A date alone means 00:00 UTC that day.

createdAt[strictly_before]?string

Only notifications created before this time. A date alone means 00:00 UTC that day.

createdAt[after]?string

Only notifications created at or after this time. A date alone means 00:00 UTC that day.

createdAt[strictly_after]?string

Only notifications created after this time. A date alone means 00:00 UTC that day.

status?string

Restrict to notifications in this delivery status.

Value in

  • "PENDING"
  • "DELIVERED"
  • "FAILED"
  • "SUSPENDED"
  • "SKIPPED"

Response Body

curl -X GET "https://example.com/event-notifications?createdAt%5Bbefore%5D=2026-01-31T23%3A59%3A59Z&createdAt%5Bstrictly_before%5D=2026-02-01T00%3A00%3A00Z&createdAt%5Bafter%5D=2026-01-01T00%3A00%3A00Z&createdAt%5Bstrictly_after%5D=2026-01-01T00%3A00%3A00Z"
[  {    "channel": "WEBHOOK",    "destinationAddress": "https://your-server.com/webhooks/stream",    "status": "DELIVERED",    "attemptNumber": 1,    "deliveredAt": "2026-06-03T14:32:10+00:00",    "lastErrorMessage": "Connection timed out after 5000ms",    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",    "createdAt": "2026-01-15T10:30:00+00:00",    "updatedAt": "2026-05-20T14:45:00+00:00"  }]
Version 0.14.289Dernière mise à jour